atomic_lockfree_defines.h File Reference

Go to the source code of this file.

## Macros

#define | ATOMIC_BOOL_LOCK_FREE
#define | ATOMIC_CHAR16_T_LOCK_FREE
#define | ATOMIC_CHAR32_T_LOCK_FREE
#define | ATOMIC_CHAR_LOCK_FREE
#define | ATOMIC_INT_LOCK_FREE
#define | ATOMIC_LLONG_LOCK_FREE
#define | ATOMIC_LONG_LOCK_FREE
#define | ATOMIC_POINTER_LOCK_FREE
#define | ATOMIC_SHORT_LOCK_FREE
#define | ATOMIC_WCHAR_T_LOCK_FREE

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <atomic>.

Definition in file atomic_lockfree_defines.h.